from applications.service import task_schedule_response
from tasks.monitor_tasks import check_kimi_balance


class TaskScheduler:
    def __init__(self, data):
        self.data = data

    async def deal(self):
        task_name = self.data.get("task_name")
        if not task_name:
            return await task_schedule_response.fail_response(
                error_code="4002",
                error_message="task_name must be input"
            )

        match task_name:
            case "check_kimi_balance":
                response = await check_kimi_balance()
                return await task_schedule_response.success_response(task_name=task_name, data=response)
            case _:
                return await task_schedule_response.fail_response(
                    error_code="4001",
                    error_message="wrong task name input"
                )


